#include "elysium-file.h"
#include <sys/stat.h>

int e_file_exists (const gchar * filename) {
  struct stat s;

  g_return_val_if_fail (filename != NULL, FALSE);
  
  return stat (filename, &s) == 0;
}

gchar * elysium_pixmap_file (gchar * filename) {
  gchar * blah;
  gint i;
  gchar * syspaths[] = {
    EPIXMAPDIR,
    "/usr/local/share/pixmaps/",
    "/opt/gnome/share/pixmaps/",
    "/usr/share/pixmaps/",
    NULL
  };

  blah = g_strconcat (g_get_home_dir (), "/.gnome/pixmaps/", filename, NULL);
  if (e_file_exists (blah)) {
    return blah;
  }
  blah = g_strconcat (g_get_home_dir (), "/pixmaps/", filename, NULL);
  if (e_file_exists (blah)) {
    return blah;
  }
  blah = g_strconcat (g_get_home_dir (), "/share/pixmaps/", filename, NULL);
  if (e_file_exists (blah)) {
    return blah;
  }
  for (i = 0; syspaths && syspaths[i]; i++) {
    blah = g_strconcat (syspaths[i], filename, NULL);
    if (e_file_exists (blah)) {
      return blah;
    }
  }
  g_free (blah);
  return filename;
}
